# SiteMap (Crawler-commons 1.4 API)

Package crawlercommons.sitemaps

## Class SiteMap

- java.lang.Object
- - crawlercommons.sitemaps.AbstractSiteMap
  - - crawlercommons.sitemaps.SiteMap

All Implemented Interfaces:
  `Serializable`

    public class SiteMap
    extends AbstractSiteMap

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class crawlercommons.sitemaps.AbstractSiteMap

`AbstractSiteMap.SitemapType`

### Field Summary

### Fields inherited from class crawlercommons.sitemaps.AbstractSiteMap

`TIME_ZONE_UTC, url, W3C_FULLDATE_FORMATTER, W3C_FULLDATE_FORMATTER_UTC, W3C_SHORTDATE_FORMATTER`

### Constructor Summary

Constructors
`SiteMap()`
`SiteMap​(String url)`
`SiteMap​(String url, String lastModified)`
`SiteMap​(URL url)`
`SiteMap​(URL url, Date lastModified)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addSiteMapUrl​(SiteMapURL url)`
`String` `getBaseUrl()`
`Collection<SiteMapURL>` `getSiteMapUrls()`
`boolean` `isIndex()`
`String` `toString()`

### Methods inherited from class crawlercommons.sitemaps.AbstractSiteMap

`convertToDate, convertToZonedDateTime, getLastModified, getType, getUrl, isProcessed, normalizeRSSTimestamp, parseRSSTimestamp, setLastModified, setLastModified, setLastModified, setProcessed, setType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SiteMap

    public SiteMap()

#### SiteMap

    public SiteMap​(URL url)

#### SiteMap

    public SiteMap​(String url)

#### SiteMap

    public SiteMap​(URL url,
                   Date lastModified)

#### SiteMap

    public SiteMap​(String url,
                   String lastModified)

### Method Detail

#### getSiteMapUrls

    public Collection<SiteMapURL> getSiteMapUrls()

Returns:
  the Collection of SitemapUrls in this Sitemap.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### getBaseUrl

    public String getBaseUrl()

Returns:
  the baseUrl for this Sitemap.

#### addSiteMapUrl

    public void addSiteMapUrl​(SiteMapURL url)

Parameters:
  `url` - The SitemapUrl to be added to the Sitemap.

#### isIndex

    public boolean isIndex()

Overrides:
  `isIndex` in class `AbstractSiteMap`